### Enumeration

# Qmi WdsSoEvdoRevA

since: 1.0

#### Declaration

    flags Qmi.WdsSoEvdoRevA

#### Description [src]

Flags specifying the Service Option when the bearer network type is `QMI_WDS_NETWORK_TYPE_3GPP2` and when the Radio Access Technology mask contains `QMI_WDS_RAT_3GPP2_EVDO_REVA`.

Available since: 1.0

#### Members

`QMI_WDS_SO_EVDO_REVA_NONE`

  Unknown, to be ignored.

  - Value: `0`
  - Available since: 1.0
`QMI_WDS_SO_EVDO_REVA_DPA`

  DPA.

  - Value: `1`
  - Available since: 1.0
`QMI_WDS_SO_EVDO_REVA_MFPA`

  MFPA.

  - Value: `2`
  - Available since: 1.0
`QMI_WDS_SO_EVDO_REVA_EMPA`

  EMPA.

  - Value: `4`
  - Available since: 1.0
`QMI_WDS_SO_EVDO_REVA_EMPA_EHRPD`

  EMPA eHRPD.

  - Value: `8`
  - Available since: 1.0

#### Type functions

###### qmi_wds_so_evdo_reva_build_string_from_mask

Builds a string containing a comma-separated list of nicknames for each `QmiWdsSoEvdoRevA` in `mask`.

since: 1.0